Package com.privatejgoodies.forms.layout

# Interface FormLayout.Measure

Enclosing class:
  `FormLayout`

public static interface FormLayout.Measure
An interface that describes how to measure a `Component`. Used to abstract from horizontal and vertical dimensions as well as minimum and preferred sizes.

Since:
  1.1

## Method Summary

Modifier and Type
Method
Description
`int`
`sizeOf(Component component)`
Computes and returns the size of the given `Component`.

## Method Details

### sizeOf

int sizeOf(Component component)
Computes and returns the size of the given `Component`.

Parameters:
  `component` - the component to measure
Returns:
  the component's size